IFRUSET(8)

NAME
ifruset - show/set Field Replacable Unit configuration data

SYNOPSIS
ifruset [-bcimx -unpvsafo -N node -U user -P/-R pswd -EFJTVY]

DESCRIPTION
ifruset is a program that uses IPMI commands to show FRU configuration data and optionally write any Product area fields into the FRU data. Setting the FRU Product area fields is a function that might be done by a manufacturer or system integrator. This utility can use either the /dev/ipmi0 driver from OpenIPMI, the /dev/imb driver from Intel, the /dev/ipmikcs driver from valinux, direct user-space IOs, or the IPMI LAN interface if -N. This program is not built or installed by default. Integrators who wish to use it should build ipmiutil from source, then do 'cd util; make ifruset'.

OPTIONS
Command line options are described below.

-u manuf
    This option specifies a product manufacturer string to be written to the baseboard FRU Product area field 0. This field can be any string up to 20 characters. The default is to not modify this FRU field.

-n name
    This option specifies a product name string to be written to the baseboard FRU Product area field 1. This field can be any string up to 20 characters. The default is to not modify this FRU field.

-p partnum
    This option specifies a product part number string to be written to the baseboard FRU Product area field 2. This field can be any string up to 20 characters. The default is to not modify this FRU field.

-v prod_ver
    This option specifies a product version number string to be written to the baseboard FRU Product area field 3. The version number can be any string up to 20 characters. The default is to not modify this FRU field.

-s serial_num
    This option specifies a serial number string to be written to the baseboard FRU Product area field 4. The serial number can be any string up to 20 characters. The default is to not modify this FRU field.

-a asset_string
    This option specifies an asset tag string to be written to the baseboard FRU Product area field 5. The asset tag length is limited by the existing FRU Product data, but is usually allowed up to 20 characters. The default is to not modify this FRU field.

-f fruid
    This option specifies a product FRU file ID string to be written to the baseboard FRU Product area field 6. This field can be any string up to 20 characters.

-o oem
    This option specifies a product OEM field string to be written to the baseboard FRU Product area field 7. This field can be any string up to 20 characters.

-b  Only show the Baseboard FRU data. The default behavior is to also scan for any SDR FRU data or DIMM SPD data referenced by the SDRs.

-c  Show FRU output in a canonical format, with a default delimiter of '|'.

-i 00
    This option specifies a specific FRU ID to show. The input value should be in hex (0b, 1a, etc.), as shown from the sensor SDR output. By default, all FRU IDs that are specified in the FRU locator SDRs are shown.

-m 002000
    Show FRU for a specific MC (e.g. bus 00, sa 20, lun 00). This could be used for PICMG or ATCA blade systems. The trailing character, if present, indicates SMI addressing if 's', or IPMB addressing if 'i' or not present.

-x  Causes eXtra debug messages to be displayed.

-N nodename
    Nodename or IP address of the remote target system. If a nodename is specified, IPMI LAN interface is used. Otherwise the local system management interface is used.

-U rmt_user
    Remote username for the nodename given. The default is a null username.

-P/-R rmt_pswd
    Remote password for the nodename given. The default is a null password.

-E  Use the remote password from Environment variable IPMI_PASSWORD.

-F drv_t
    Force the driver type to one of the followng: imb, va, open, gnu, landesk, lan, lan2, lan2i, kcs, smb. Note that lan2i means lan2 with intelplus. The default is to detect any available driver type and use it.

-J  Use the specified LanPlus cipher suite (0 thru 17): 0=none/none/none, 1=sha1/none/none, 2=sha1/sha1/none, 3=sha1/sha1/cbc128, 4=sha1/sha1/xrc4_128, 5=sha1/sha1/xrc4_40, 6=md5/none/none, ... 14=md5/md5/xrc4_40. Default is 3.

-T  Use a specified IPMI LAN Authentication Type: 0=None, 1=MD2, 2=MD5, 4=Straight Password, 5=OEM.

-V  Use a specified IPMI LAN privilege level. 1=Callback level, 2=User level, 3=Operator level, 4=Administrator level (default), 5=OEM level.

-Y  Yes, do prompt the user for the IPMI LAN remote password. Alternatives for the password are -E or -P.

SEE ALSO
ipmiutil(8) ialarms(8) iconfig(8) icmd(8) idiscover(8) ievents(8) igetevent(8) ihealth(8) ilan(8) ireset(8) isel(8) isensor(8) iserial(8) isol(8) iwdt(8)

WARNINGS
See http://ipmiutil.sourceforge.net/ for the latest version of ipmiutil and any bug fix list.

COPYRIGHT
Copyright (C) 2009 Kontron America, Inc.

See the file COPYING in the distribution for more details regarding redistribution.

This utility is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

AUTHOR

Andy Cress <arcress at users.sourceforge.net>